## WDS Bind Mux Data Port request WDS Bind Mux Data Port request |

## Functions

QmiMessageWdsBindMuxDataPortInput * | qmi_message_wds_bind_mux_data_port_input_new ()
QmiMessageWdsBindMuxDataPortInput * | qmi_message_wds_bind_mux_data_port_input_ref ()
void | qmi_message_wds_bind_mux_data_port_input_unref ()
gboolean | qmi_message_wds_bind_mux_data_port_input_get_client_type ()
gboolean | qmi_message_wds_bind_mux_data_port_input_set_client_type ()
gboolean | qmi_message_wds_bind_mux_data_port_input_get_mux_id ()
gboolean | qmi_message_wds_bind_mux_data_port_input_set_mux_id ()
gboolean | qmi_message_wds_bind_mux_data_port_input_get_endpoint_info ()
gboolean | qmi_message_wds_bind_mux_data_port_input_set_endpoint_info ()
QmiMessageWdsBindMuxDataPortOutput * | qmi_message_wds_bind_mux_data_port_output_ref ()
void | qmi_message_wds_bind_mux_data_port_output_unref ()
gboolean | qmi_message_wds_bind_mux_data_port_output_get_result ()
void | qmi_client_wds_bind_mux_data_port ()
QmiMessageWdsBindMuxDataPortOutput * | qmi_client_wds_bind_mux_data_port_finish ()

## Types and Values

| QmiMessageWdsBindMuxDataPortInput
| QmiMessageWdsBindMuxDataPortOutput

## Object Hierarchy

        GBoxed
        ├── QmiMessageWdsBindMuxDataPortInput
        ╰── QmiMessageWdsBindMuxDataPortOutput

## Description

## Functions

### qmi_message_wds_bind_mux_data_port_input_new ()

    QmiMessageWdsBindMuxDataPortInput *
    qmi_message_wds_bind_mux_data_port_input_new
                                   (void);

Allocates a new QmiMessageWdsBindMuxDataPortInput.

#### Returns

the newly created QmiMessageWdsBindMuxDataPortInput. The returned value should be freed with `qmi_message_wds_bind_mux_data_port_input_unref()`.

Since: 1.18

### qmi_message_wds_bind_mux_data_port_input_ref ()

    QmiMessageWdsBindMuxDataPortInput *
    qmi_message_wds_bind_mux_data_port_input_ref
                                   (QmiMessageWdsBindMuxDataPortInput *self);

Atomically increments the reference count of `self` by one.

#### Parameters

self | a QmiMessageWdsBindMuxDataPortInput. |

#### Returns

the new reference to `self` .

Since: 1.18

### qmi_message_wds_bind_mux_data_port_input_unref ()

    void
    qmi_message_wds_bind_mux_data_port_input_unref
                                   (QmiMessageWdsBindMuxDataPortInput *self);

Atomically decrements the reference count of `self` by one. If the reference count drops to 0, `self` is completely disposed.

#### Parameters

self | a QmiMessageWdsBindMuxDataPortInput. |

Since: 1.18

### qmi_message_wds_bind_mux_data_port_input_get_client_type ()

    gboolean
    qmi_message_wds_bind_mux_data_port_input_get_client_type
                                   (QmiMessageWdsBindMuxDataPortInput *self,
                                    QmiWdsClientType *value_client_type,
                                    GError **error);

Get the 'Client Type' field from `self` .

#### Parameters

self | a QmiMessageWdsBindMuxDataPortInput. |
value_client_type | a placeholder for the output QmiWdsClientType, or `NULL` if not required. | [out]
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

[skip]

Since: 1.18

### qmi_message_wds_bind_mux_data_port_input_set_client_type ()

    gboolean
    qmi_message_wds_bind_mux_data_port_input_set_client_type
                                   (QmiMessageWdsBindMuxDataPortInput *self,
                                    QmiWdsClientType value_client_type,
                                    GError **error);

Set the 'Client Type' field in the message.

#### Parameters

self | a QmiMessageWdsBindMuxDataPortInput. |
value_client_type | a QmiWdsClientType. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if `value` was successfully set, `FALSE` otherwise.

[skip]

Since: 1.18

### qmi_message_wds_bind_mux_data_port_input_get_mux_id ()

    gboolean
    qmi_message_wds_bind_mux_data_port_input_get_mux_id
                                   (QmiMessageWdsBindMuxDataPortInput *self,
                                    guint8 *value_mux_id,
                                    GError **error);

Get the 'Mux ID' field from `self` .

#### Parameters

self | a QmiMessageWdsBindMuxDataPortInput. |
value_mux_id | a placeholder for the output guint8, or `NULL` if not required. | [out]
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

[skip]

Since: 1.18

### qmi_message_wds_bind_mux_data_port_input_set_mux_id ()

    gboolean
    qmi_message_wds_bind_mux_data_port_input_set_mux_id
                                   (QmiMessageWdsBindMuxDataPortInput *self,
                                    guint8 value_mux_id,
                                    GError **error);

Set the 'Mux ID' field in the message.

#### Parameters

self | a QmiMessageWdsBindMuxDataPortInput. |
value_mux_id | a guint8. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if `value` was successfully set, `FALSE` otherwise.

[skip]

Since: 1.18

### qmi_message_wds_bind_mux_data_port_input_get_endpoint_info ()

    gboolean
    qmi_message_wds_bind_mux_data_port_input_get_endpoint_info
                                   (QmiMessageWdsBindMuxDataPortInput *self,
                                    QmiDataEndpointType *value_endpoint_info_endpoint_type,
                                    guint32 *value_endpoint_info_interface_number,
                                    GError **error);

Get the 'Endpoint Info' field from `self` .

#### Parameters

self | a QmiMessageWdsBindMuxDataPortInput. |
value_endpoint_info_endpoint_type | a placeholder for the output QmiDataEndpointType, or `NULL` if not required. | [out]
value_endpoint_info_interface_number | a placeholder for the output guint32, or `NULL` if not required. | [out]
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

[skip]

Since: 1.18

### qmi_message_wds_bind_mux_data_port_input_set_endpoint_info ()

    gboolean
    qmi_message_wds_bind_mux_data_port_input_set_endpoint_info
                                   (QmiMessageWdsBindMuxDataPortInput *self,
                                    QmiDataEndpointType value_endpoint_info_endpoint_type,
                                    guint32 value_endpoint_info_interface_number,
                                    GError **error);

Set the 'Endpoint Info' field in the message.

#### Parameters

self | a QmiMessageWdsBindMuxDataPortInput. |
value_endpoint_info_endpoint_type | a QmiDataEndpointType. |
value_endpoint_info_interface_number | a guint32. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if `value` was successfully set, `FALSE` otherwise.

[skip]

Since: 1.18

### qmi_message_wds_bind_mux_data_port_output_ref ()

    QmiMessageWdsBindMuxDataPortOutput *
    qmi_message_wds_bind_mux_data_port_output_ref
                                   (QmiMessageWdsBindMuxDataPortOutput *self);

Atomically increments the reference count of `self` by one.

#### Parameters

self | a QmiMessageWdsBindMuxDataPortOutput. |

#### Returns

the new reference to `self` .

Since: 1.18

### qmi_message_wds_bind_mux_data_port_output_unref ()

    void
    qmi_message_wds_bind_mux_data_port_output_unref
                                   (QmiMessageWdsBindMuxDataPortOutput *self);

Atomically decrements the reference count of `self` by one. If the reference count drops to 0, `self` is completely disposed.

#### Parameters

self | a QmiMessageWdsBindMuxDataPortOutput. |

Since: 1.18

### qmi_message_wds_bind_mux_data_port_output_get_result ()

    gboolean
    qmi_message_wds_bind_mux_data_port_output_get_result
                                   (QmiMessageWdsBindMuxDataPortOutput *self,
                                    GError **error);

Get the result of the QMI operation.

#### Parameters

self | a QmiMessageWdsBindMuxDataPortOutput. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the QMI operation succeeded, `FALSE` if `error` is set.

[skip]

Since: 1.18

### qmi_client_wds_bind_mux_data_port ()

    void
    qmi_client_wds_bind_mux_data_port (QmiClientWds *self,
                                       QmiMessageWdsBindMuxDataPortInput *input,
                                       guint timeout,
                                       GCancellable *cancellable,
                                       GAsyncReadyCallback callback,
                                       gpointer user_data);

Asynchronously sends a Bind Mux Data Port request to the device.

When the operation is finished, `callback` will be invoked in the thread-default main loop of the thread you are calling this method from.

You can then call `qmi_client_wds_bind_mux_data_port_finish()` to get the result of the operation.

#### Parameters

self | a QmiClientWds. |
input | a QmiMessageWdsBindMuxDataPortInput. |
timeout | maximum time to wait for the method to complete, in seconds. |
cancellable | a GCancellable or `NULL`. |
callback | a GAsyncReadyCallback to call when the request is satisfied. |
user_data | user data to pass to `callback` . |

Since: 1.18

### qmi_client_wds_bind_mux_data_port_finish ()

    QmiMessageWdsBindMuxDataPortOutput *
    qmi_client_wds_bind_mux_data_port_finish
                                   (QmiClientWds *self,
                                    GAsyncResult *res,
                                    GError **error);

Finishes an async operation started with `qmi_client_wds_bind_mux_data_port()`.

#### Parameters

self | a QmiClientWds. |
res | the GAsyncResult obtained from the GAsyncReadyCallback passed to `qmi_client_wds_bind_mux_data_port()`. |
error | Return location for error or `NULL`. |

#### Returns

a QmiMessageWdsBindMuxDataPortOutput, or `NULL` if `error` is set. The returned value should be freed with `qmi_message_wds_bind_mux_data_port_output_unref()`.

Since: 1.18

## Types and Values

### QmiMessageWdsBindMuxDataPortInput

    typedef struct _QmiMessageWdsBindMuxDataPortInput QmiMessageWdsBindMuxDataPortInput;

The QmiMessageWdsBindMuxDataPortInput structure contains private data and should only be accessed using the provided API.

Since: 1.18

### QmiMessageWdsBindMuxDataPortOutput

    typedef struct _QmiMessageWdsBindMuxDataPortOutput QmiMessageWdsBindMuxDataPortOutput;

The QmiMessageWdsBindMuxDataPortOutput structure contains private data and should only be accessed using the provided API.

Since: 1.18